Package pygccxml :: Package declarations :: Module cpptypes :: Class type_t

# type type_t

source code

    object --+
             |
            type_t

Known Subclasses:
  - compound_t
  - , fundamental_t
  - , declarated_t
  - , dummy_type_t
  - , ellipsis_t
  - , free_function_type_t
  - , member_function_type_t
  - , unknown_t

base class for all types

Instance Methods

__init__(self) | source code

__str__(self) | source code

__eq__(self, other) | source code

__ne__(self, other) | source code

__lt__(self, other) | source code

build_decl_string(self, with_defaults=True) | source code

clone(self) returns new instance of the type | source code

Properties
| decl_string
| partial_decl_string
| byte_size Size of this type in bytes @type: int
| byte_align Alignment of this type in bytes @type: int

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)

Property Details

### decl_string

### partial_decl_string

### byte_size

Size of this type in bytes @type: int

Get Method:
  _get_byte_size(self)
Set Method:
  _set_byte_size(self, new_byte_size)

### byte_align

Alignment of this type in bytes @type: int

Get Method:
  _get_byte_align(self)
Set Method:
  _set_byte_align(self, new_byte_align)